List managed runners
curl --request GET \
--url https://api.coreweave.com/v1/sandbox/managedRunners \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coreweave.com/v1/sandbox/managedRunners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coreweave.com/v1/sandbox/managedRunners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coreweave.com/v1/sandbox/managedRunners",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coreweave.com/v1/sandbox/managedRunners"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coreweave.com/v1/sandbox/managedRunners")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coreweave.com/v1/sandbox/managedRunners")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"managedRunners": [
{
"identity": {
"runnerId": "<string>",
"runnerGroupId": "<string>",
"zone": "<string>",
"clusterId": "<string>",
"clusterName": "<string>"
},
"policy": {
"displayName": "<string>",
"base": {},
"constraints": {
"resources": {
"maxCpu": "<string>",
"maxMemory": "<string>",
"minCpu": "<string>",
"minMemory": "<string>",
"defaultCpu": "<string>",
"defaultMemory": "<string>",
"maxGpuCount": "<string>",
"cpuCeiling": "<string>",
"memoryCeiling": "<string>",
"requireLimits": true
},
"image": {
"allowedRegistries": [
"<string>"
],
"allowedImages": [
"<string>"
]
},
"network": {
"allowedEgress": [
{
"cidr": {
"cidr": "<string>",
"except": [
"<string>"
]
},
"httpsHostname": "<string>",
"tenant": "TENANT_SCOPE_UNSPECIFIED",
"any": true,
"selector": {
"podLabels": {},
"namespaceLabels": {}
},
"ports": [
{
"port": 123,
"protocol": "<string>",
"endPort": 123
}
],
"httpsHostnameExcept": [
"<string>"
]
}
],
"defaultEgress": [
{
"cidr": {
"cidr": "<string>",
"except": [
"<string>"
]
},
"httpsHostname": "<string>",
"tenant": "TENANT_SCOPE_UNSPECIFIED",
"any": true,
"selector": {
"podLabels": {},
"namespaceLabels": {}
},
"ports": [
{
"port": 123,
"protocol": "<string>",
"endPort": 123
}
],
"httpsHostnameExcept": [
"<string>"
]
}
],
"denyHttpsHostnameRules": true,
"allowedIngress": [
{
"cidr": {
"cidr": "<string>",
"except": [
"<string>"
]
},
"tenant": "TENANT_SCOPE_UNSPECIFIED",
"any": true,
"ports": [
{
"port": 123,
"protocol": "<string>",
"endPort": 123
}
]
}
],
"defaultIngress": [
{
"cidr": {
"cidr": "<string>",
"except": [
"<string>"
]
},
"tenant": "TENANT_SCOPE_UNSPECIFIED",
"any": true,
"ports": [
{
"port": 123,
"protocol": "<string>",
"endPort": 123
}
]
}
],
"dnsEgress": "DNS_EGRESS_MODE_UNSPECIFIED"
},
"security": {
"allowPrivileged": true,
"allowedCapabilities": [
"<string>"
],
"allowedSeccompProfiles": [
"<string>"
],
"allowedRuntimeClasses": [
"<string>"
],
"defaultCpuRuntimeClass": "<string>",
"defaultGpuRuntimeClass": "<string>",
"runtimeClassMappings": [
{
"runtimeClass": "RUNTIME_CLASS_UNSPECIFIED",
"kubernetesRuntimeClassName": "<string>",
"nodeDefault": true
}
]
},
"instance": {
"allowedInstanceTypes": [
"<string>"
]
},
"lifecycle": {
"defaultLifetimeSeconds": 123
},
"metadata": {
"deniedAnnotationPrefixes": [
"<string>"
],
"maxAnnotationCount": 123
},
"volumes": {
"allowedMedia": [
"STORAGE_MEDIUM_UNSPECIFIED"
],
"maxSize": "<string>"
}
},
"controlPlaneAccess": {
"sourceIpAllowlist": {
"cidrs": [
"<string>"
]
}
}
},
"displayName": "<string>",
"spec": {
"releaseChannel": "RELEASE_CHANNEL_UNSPECIFIED",
"maintenancePolicy": {
"windows": [
{
"cron": "<string>",
"durationSeconds": 123
}
],
"exclusions": [
{
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
]
},
"overrides": {
"nodeSelector": {},
"tolerations": [
{
"key": "<string>",
"operator": "<string>",
"value": "<string>",
"effect": "<string>"
}
],
"resources": {
"cpuRequest": "<string>",
"memoryRequest": "<string>",
"cpuLimit": "<string>",
"memoryLimit": "<string>"
},
"annotations": {},
"labels": {},
"env": {},
"args": [
"<string>"
],
"scaling": {
"replicas": 123,
"autoscalingEnabled": true,
"minReplicas": 123,
"maxReplicas": 123
},
"cpuRuntimeClass": "<string>",
"gpuRuntimeClass": "<string>",
"affinity": {}
},
"allowPrivilegedProfileAnnotations": true,
"enforceResourceLimits": true,
"volumes": {
"enabled": true,
"csiDriverAllowlist": [
"<string>"
]
},
"tenantMetrics": {
"enabled": true,
"image": "<string>"
},
"dataPlane": {
"disabled": {},
"clusterIp": {
"annotations": {}
},
"loadBalancer": {
"scope": "RUNNER_DATA_PLANE_SERVICE_SCOPE_UNSPECIFIED",
"loadBalancerClass": "<string>",
"annotations": {},
"sourceRanges": [
"<string>"
],
"externalTrafficPolicy": "RUNNER_DATA_PLANE_EXTERNAL_TRAFFIC_POLICY_UNSPECIFIED",
"hostname": "<string>"
},
"custom": {
"advertisedUri": "<string>",
"serviceAnnotations": {}
}
},
"imagePull": {
"policy": "SANDBOX_IMAGE_PULL_POLICY_UNSPECIFIED"
}
},
"installStatus": "RUNNER_INSTALL_STATUS_UNSPECIFIED",
"connectionStatus": "RUNNER_CONNECTION_STATUS_UNSPECIFIED",
"activeConfigVersion": "<string>",
"activeProfileSpecVersion": "<string>",
"activeRevision": 123,
"targetRevision": 123,
"deploymentSpec": {
"image": "<string>",
"env": {},
"args": [
"<string>"
],
"resources": {
"cpuRequest": "<string>",
"memoryRequest": "<string>",
"cpuLimit": "<string>",
"memoryLimit": "<string>"
},
"nodeSelector": {},
"tolerations": [
{
"key": "<string>",
"operator": "<string>",
"value": "<string>",
"effect": "<string>"
}
],
"scaling": {
"replicas": 123,
"autoscalingEnabled": true,
"minReplicas": 123,
"maxReplicas": 123
},
"annotations": {},
"labels": {},
"serviceAccount": "<string>",
"extraVolumes": [
{
"mountPath": "<string>",
"name": "<string>",
"readOnly": true,
"subPath": "<string>",
"configMapName": "<string>",
"secretName": "<string>",
"emptyDir": true
}
],
"readinessProbe": {
"path": "<string>",
"port": 123,
"initialDelaySeconds": 123,
"periodSeconds": 123,
"failureThreshold": 123,
"timeoutSeconds": 123
},
"livenessProbe": {
"path": "<string>",
"port": 123,
"initialDelaySeconds": 123,
"periodSeconds": 123,
"failureThreshold": 123,
"timeoutSeconds": 123
},
"initResources": {
"cpuRequest": "<string>",
"memoryRequest": "<string>",
"cpuLimit": "<string>",
"memoryLimit": "<string>"
},
"imagePullPolicy": "<string>",
"gatewayServer": "<string>",
"cpuRuntimeClass": "<string>",
"gpuRuntimeClass": "<string>",
"endpointRoutes": {
"https": {
"enabled": true,
"gateway": {
"name": "<string>",
"namespace": "<string>",
"listener": "<string>"
},
"provider": "<string>"
},
"tlsPassthrough": {
"enabled": true,
"gateway": {
"name": "<string>",
"namespace": "<string>",
"listener": "<string>"
},
"provider": "<string>"
}
},
"dataPlane": {
"disabled": {},
"clusterIp": {
"annotations": {}
},
"loadBalancer": {
"scope": "RUNNER_DATA_PLANE_SERVICE_SCOPE_UNSPECIFIED",
"loadBalancerClass": "<string>",
"annotations": {},
"sourceRanges": [
"<string>"
],
"externalTrafficPolicy": "RUNNER_DATA_PLANE_EXTERNAL_TRAFFIC_POLICY_UNSPECIFIED",
"hostname": "<string>"
},
"custom": {
"advertisedUri": "<string>",
"serviceAnnotations": {}
}
},
"affinity": {}
},
"updateAvailable": true,
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"lastHeartbeatTime": "2023-11-07T05:31:56Z",
"profileBindings": [
{
"profileTemplateId": "<string>",
"runnerProfileBindingId": "<string>",
"profileName": "<string>",
"isDefault": true,
"overrides": {
"containerImage": "<string>",
"runtimeClass": "<string>",
"resourceDefaults": {
"cpuRequest": "<string>",
"memoryRequest": "<string>",
"cpuLimit": "<string>",
"memoryLimit": "<string>"
},
"instanceTypes": [
"<string>"
],
"nodeSelector": {},
"tags": [
"<string>"
],
"namespace": {
"strategy": "PROFILE_NAMESPACE_STRATEGY_UNSPECIFIED",
"staticNamespace": "<string>",
"namespacePrefix": "<string>",
"autoCreate": true,
"labels": {},
"annotations": {}
},
"network": {
"egress": {
"defaultMode": "<string>",
"modes": {}
},
"ingress": {}
},
"podTemplate": {}
},
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
],
"installError": {
"reason": "RUNNER_INSTALL_FAILURE_REASON_UNSPECIFIED",
"message": "<string>",
"diagnosticDetail": "<string>",
"remediationHints": [
"<string>"
],
"occurredTime": "2023-11-07T05:31:56Z"
},
"rolloutInProgress": true,
"etag": "<string>",
"dataPlaneStatus": {
"state": "RUNNER_DATA_PLANE_STATE_UNSPECIFIED",
"endpointId": "<string>",
"advertisedUri": "<string>",
"protocols": [
"<string>"
],
"serverCertificateExpiresAt": "2023-11-07T05:31:56Z",
"message": "<string>",
"lastTransitionTime": "2023-11-07T05:31:56Z"
}
}
],
"nextPageToken": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}List managed runners
List the caller’s managed runners.
GET
/
v1
/
sandbox
/
managedRunners
List managed runners
curl --request GET \
--url https://api.coreweave.com/v1/sandbox/managedRunners \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coreweave.com/v1/sandbox/managedRunners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coreweave.com/v1/sandbox/managedRunners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coreweave.com/v1/sandbox/managedRunners",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coreweave.com/v1/sandbox/managedRunners"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coreweave.com/v1/sandbox/managedRunners")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coreweave.com/v1/sandbox/managedRunners")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"managedRunners": [
{
"identity": {
"runnerId": "<string>",
"runnerGroupId": "<string>",
"zone": "<string>",
"clusterId": "<string>",
"clusterName": "<string>"
},
"policy": {
"displayName": "<string>",
"base": {},
"constraints": {
"resources": {
"maxCpu": "<string>",
"maxMemory": "<string>",
"minCpu": "<string>",
"minMemory": "<string>",
"defaultCpu": "<string>",
"defaultMemory": "<string>",
"maxGpuCount": "<string>",
"cpuCeiling": "<string>",
"memoryCeiling": "<string>",
"requireLimits": true
},
"image": {
"allowedRegistries": [
"<string>"
],
"allowedImages": [
"<string>"
]
},
"network": {
"allowedEgress": [
{
"cidr": {
"cidr": "<string>",
"except": [
"<string>"
]
},
"httpsHostname": "<string>",
"tenant": "TENANT_SCOPE_UNSPECIFIED",
"any": true,
"selector": {
"podLabels": {},
"namespaceLabels": {}
},
"ports": [
{
"port": 123,
"protocol": "<string>",
"endPort": 123
}
],
"httpsHostnameExcept": [
"<string>"
]
}
],
"defaultEgress": [
{
"cidr": {
"cidr": "<string>",
"except": [
"<string>"
]
},
"httpsHostname": "<string>",
"tenant": "TENANT_SCOPE_UNSPECIFIED",
"any": true,
"selector": {
"podLabels": {},
"namespaceLabels": {}
},
"ports": [
{
"port": 123,
"protocol": "<string>",
"endPort": 123
}
],
"httpsHostnameExcept": [
"<string>"
]
}
],
"denyHttpsHostnameRules": true,
"allowedIngress": [
{
"cidr": {
"cidr": "<string>",
"except": [
"<string>"
]
},
"tenant": "TENANT_SCOPE_UNSPECIFIED",
"any": true,
"ports": [
{
"port": 123,
"protocol": "<string>",
"endPort": 123
}
]
}
],
"defaultIngress": [
{
"cidr": {
"cidr": "<string>",
"except": [
"<string>"
]
},
"tenant": "TENANT_SCOPE_UNSPECIFIED",
"any": true,
"ports": [
{
"port": 123,
"protocol": "<string>",
"endPort": 123
}
]
}
],
"dnsEgress": "DNS_EGRESS_MODE_UNSPECIFIED"
},
"security": {
"allowPrivileged": true,
"allowedCapabilities": [
"<string>"
],
"allowedSeccompProfiles": [
"<string>"
],
"allowedRuntimeClasses": [
"<string>"
],
"defaultCpuRuntimeClass": "<string>",
"defaultGpuRuntimeClass": "<string>",
"runtimeClassMappings": [
{
"runtimeClass": "RUNTIME_CLASS_UNSPECIFIED",
"kubernetesRuntimeClassName": "<string>",
"nodeDefault": true
}
]
},
"instance": {
"allowedInstanceTypes": [
"<string>"
]
},
"lifecycle": {
"defaultLifetimeSeconds": 123
},
"metadata": {
"deniedAnnotationPrefixes": [
"<string>"
],
"maxAnnotationCount": 123
},
"volumes": {
"allowedMedia": [
"STORAGE_MEDIUM_UNSPECIFIED"
],
"maxSize": "<string>"
}
},
"controlPlaneAccess": {
"sourceIpAllowlist": {
"cidrs": [
"<string>"
]
}
}
},
"displayName": "<string>",
"spec": {
"releaseChannel": "RELEASE_CHANNEL_UNSPECIFIED",
"maintenancePolicy": {
"windows": [
{
"cron": "<string>",
"durationSeconds": 123
}
],
"exclusions": [
{
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
]
},
"overrides": {
"nodeSelector": {},
"tolerations": [
{
"key": "<string>",
"operator": "<string>",
"value": "<string>",
"effect": "<string>"
}
],
"resources": {
"cpuRequest": "<string>",
"memoryRequest": "<string>",
"cpuLimit": "<string>",
"memoryLimit": "<string>"
},
"annotations": {},
"labels": {},
"env": {},
"args": [
"<string>"
],
"scaling": {
"replicas": 123,
"autoscalingEnabled": true,
"minReplicas": 123,
"maxReplicas": 123
},
"cpuRuntimeClass": "<string>",
"gpuRuntimeClass": "<string>",
"affinity": {}
},
"allowPrivilegedProfileAnnotations": true,
"enforceResourceLimits": true,
"volumes": {
"enabled": true,
"csiDriverAllowlist": [
"<string>"
]
},
"tenantMetrics": {
"enabled": true,
"image": "<string>"
},
"dataPlane": {
"disabled": {},
"clusterIp": {
"annotations": {}
},
"loadBalancer": {
"scope": "RUNNER_DATA_PLANE_SERVICE_SCOPE_UNSPECIFIED",
"loadBalancerClass": "<string>",
"annotations": {},
"sourceRanges": [
"<string>"
],
"externalTrafficPolicy": "RUNNER_DATA_PLANE_EXTERNAL_TRAFFIC_POLICY_UNSPECIFIED",
"hostname": "<string>"
},
"custom": {
"advertisedUri": "<string>",
"serviceAnnotations": {}
}
},
"imagePull": {
"policy": "SANDBOX_IMAGE_PULL_POLICY_UNSPECIFIED"
}
},
"installStatus": "RUNNER_INSTALL_STATUS_UNSPECIFIED",
"connectionStatus": "RUNNER_CONNECTION_STATUS_UNSPECIFIED",
"activeConfigVersion": "<string>",
"activeProfileSpecVersion": "<string>",
"activeRevision": 123,
"targetRevision": 123,
"deploymentSpec": {
"image": "<string>",
"env": {},
"args": [
"<string>"
],
"resources": {
"cpuRequest": "<string>",
"memoryRequest": "<string>",
"cpuLimit": "<string>",
"memoryLimit": "<string>"
},
"nodeSelector": {},
"tolerations": [
{
"key": "<string>",
"operator": "<string>",
"value": "<string>",
"effect": "<string>"
}
],
"scaling": {
"replicas": 123,
"autoscalingEnabled": true,
"minReplicas": 123,
"maxReplicas": 123
},
"annotations": {},
"labels": {},
"serviceAccount": "<string>",
"extraVolumes": [
{
"mountPath": "<string>",
"name": "<string>",
"readOnly": true,
"subPath": "<string>",
"configMapName": "<string>",
"secretName": "<string>",
"emptyDir": true
}
],
"readinessProbe": {
"path": "<string>",
"port": 123,
"initialDelaySeconds": 123,
"periodSeconds": 123,
"failureThreshold": 123,
"timeoutSeconds": 123
},
"livenessProbe": {
"path": "<string>",
"port": 123,
"initialDelaySeconds": 123,
"periodSeconds": 123,
"failureThreshold": 123,
"timeoutSeconds": 123
},
"initResources": {
"cpuRequest": "<string>",
"memoryRequest": "<string>",
"cpuLimit": "<string>",
"memoryLimit": "<string>"
},
"imagePullPolicy": "<string>",
"gatewayServer": "<string>",
"cpuRuntimeClass": "<string>",
"gpuRuntimeClass": "<string>",
"endpointRoutes": {
"https": {
"enabled": true,
"gateway": {
"name": "<string>",
"namespace": "<string>",
"listener": "<string>"
},
"provider": "<string>"
},
"tlsPassthrough": {
"enabled": true,
"gateway": {
"name": "<string>",
"namespace": "<string>",
"listener": "<string>"
},
"provider": "<string>"
}
},
"dataPlane": {
"disabled": {},
"clusterIp": {
"annotations": {}
},
"loadBalancer": {
"scope": "RUNNER_DATA_PLANE_SERVICE_SCOPE_UNSPECIFIED",
"loadBalancerClass": "<string>",
"annotations": {},
"sourceRanges": [
"<string>"
],
"externalTrafficPolicy": "RUNNER_DATA_PLANE_EXTERNAL_TRAFFIC_POLICY_UNSPECIFIED",
"hostname": "<string>"
},
"custom": {
"advertisedUri": "<string>",
"serviceAnnotations": {}
}
},
"affinity": {}
},
"updateAvailable": true,
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"lastHeartbeatTime": "2023-11-07T05:31:56Z",
"profileBindings": [
{
"profileTemplateId": "<string>",
"runnerProfileBindingId": "<string>",
"profileName": "<string>",
"isDefault": true,
"overrides": {
"containerImage": "<string>",
"runtimeClass": "<string>",
"resourceDefaults": {
"cpuRequest": "<string>",
"memoryRequest": "<string>",
"cpuLimit": "<string>",
"memoryLimit": "<string>"
},
"instanceTypes": [
"<string>"
],
"nodeSelector": {},
"tags": [
"<string>"
],
"namespace": {
"strategy": "PROFILE_NAMESPACE_STRATEGY_UNSPECIFIED",
"staticNamespace": "<string>",
"namespacePrefix": "<string>",
"autoCreate": true,
"labels": {},
"annotations": {}
},
"network": {
"egress": {
"defaultMode": "<string>",
"modes": {}
},
"ingress": {}
},
"podTemplate": {}
},
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
],
"installError": {
"reason": "RUNNER_INSTALL_FAILURE_REASON_UNSPECIFIED",
"message": "<string>",
"diagnosticDetail": "<string>",
"remediationHints": [
"<string>"
],
"occurredTime": "2023-11-07T05:31:56Z"
},
"rolloutInProgress": true,
"etag": "<string>",
"dataPlaneStatus": {
"state": "RUNNER_DATA_PLANE_STATE_UNSPECIFIED",
"endpointId": "<string>",
"advertisedUri": "<string>",
"protocols": [
"<string>"
],
"serverCertificateExpiresAt": "2023-11-07T05:31:56Z",
"message": "<string>",
"lastTransitionTime": "2023-11-07T05:31:56Z"
}
}
],
"nextPageToken": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
CoreWeave API access token sent as a bearer token.
Query Parameters
Filter by connection status. Omit this parameter or use RUNNER_CONNECTION_STATUS_UNSPECIFIED to apply no connection-status filter.
Available options:
RUNNER_CONNECTION_STATUS_UNSPECIFIED, RUNNER_CONNECTION_STATUS_CONNECTED, RUNNER_CONNECTION_STATUS_DISCONNECTED Filter by installation status. Omit this parameter or use RUNNER_INSTALL_STATUS_UNSPECIFIED to apply no installation-status filter.
Available options:
RUNNER_INSTALL_STATUS_UNSPECIFIED, RUNNER_INSTALL_STATUS_PENDING, RUNNER_INSTALL_STATUS_PROVISIONING, RUNNER_INSTALL_STATUS_READY, RUNNER_INSTALL_STATUS_FAILED, RUNNER_INSTALL_STATUS_DELETING Was this page helpful?